/**
 * WordPress dependencies
 */
import { registerPlugin, unregisterPlugin } from '@wordpress/plugins';

/**
 * Internal dependencies
 */
import PublishCheckbox from './publish-to-apple-news'
import DetailsMetaBox from './meta-box'
import './editor.scss';

// Unregister standard Apple News plugin before registering ours
unregisterPlugin('publish-to-apple-news');

registerPlugin(
	'mdt-publish-apple-news',
	{
		render: () => (
			<>
				<PublishCheckbox />
				<DetailsMetaBox />
			</>
		)
	}
);

